// messageTest.cc
/*************************************************************************
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory, and the Regents of the University of California, as
* Operator of Los Alamos National Laboratory. MPF is distributed
* subject to a Software License Agreement found in file LICENSE that
* is included with this distribution.
*************************************************************************/

#include <stdlib.h>
#include <stddef.h>
#include <string.h>
#include <stdio.h>

#include <semLib.h>
#include <tickLib.h>
#include <taskLib.h>

#include "Message.h"
#include "ConnectMessage.h"
#include "Int32Message.h"
#include "DLList.h"

#define nmessages 10

int messageTest(int ntimes)
{
    Message 	*message;
    int		startTicks;
    double	rate,seconds;
    DLList      *list;
    DLNode      *node;
    
    list = new DLList;
    startTicks = tickGet();
    for(int i=0; i<ntimes; i++) {
	for(int j=0; j<nmessages; j++) {
	    message = new Int32Message;
	    node = DLList::allocNode();
	    node->obj = (void *)message;
	    list->addEnd(node);
	}
	while((node = list->getFirst())) {
	    message = (Message *)node->obj;
	    list->freeNode(node);
	    delete message;
	}
    }
    seconds = (double)(tickGet() - startTicks)/60.0;
    rate = ((double)ntimes * (double)nmessages)/seconds;
    printf("rate = %6.0f seconds=%6.0f\n", rate,seconds);
    return(0);
}
